targets:

  prpl-haze-initramfs:
    resources:
      ModbusTCPCoil:
        host: quido.testbed-02.vpn.true.cz
        coil: 4
        managed_coils: 8
        exclusive_coil_mode: True
        write_multiple_coils: True
      RawSerialPort:
        port: "/dev/prpl-haze"
    drivers:
      ModbusCoilDriver: {}
      DigitalOutputPowerDriver: {}
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 16
        username: kingbanik
      UBootDriver:
        prompt: 'IPQ807x# '
        init_commands:
          - setenv serverip 10.0.0.1
          - setenv ipaddr 10.0.0.2
        boot_command: tftpboot prplos-ipq807x-generic-prpl_haze-initramfs-uImage.itb && bootm
        boot_command_delay: 3
      UBootStrategy: {}

  prpl-haze-emmc:
    resources:
      ModbusTCPCoil:
        host: quido.testbed-02.vpn.true.cz
        coil: 4
        managed_coils: 8
        exclusive_coil_mode: True
        write_multiple_coils: True
      RawSerialPort:
        port: "/dev/prpl-haze"
    drivers:
      ModbusCoilDriver: {}
      DigitalOutputPowerDriver: {}
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 16
        username: kingbanik
      UBootDriver:
        prompt: 'IPQ807x# '
        init_commands:
          - setenv serverip 10.0.0.1
          - setenv ipaddr 10.0.0.2
          - sleep 5
          - setenv untar_addr_kernel; setenv untar_addr_root; echo
          - tftpboot prplos-ipq807x-generic-prpl_haze-squashfs-sysupgrade.bin
          - untar 0x$fileaddr 0x$filesize kernel root
          - if test -n $untar_addr_kernel; then flash "0:HLOS" 0x$untar_addr_kernel 0x$untar_size_kernel; else echo "kernel is not found"; fi
          - if test -n $untar_addr_root; then flash "rootfs" 0x$untar_addr_root 0x$untar_size_root; else echo "rootfs is not found"; fi
          - flasherase rootfs_data
      UBootStrategy: {}

  wnc-freedom-initramfs:
    resources:
      ModbusTCPCoil:
        host: quido.testbed-02.vpn.true.cz
        coil: 1
        managed_coils: 8
        exclusive_coil_mode: True
        write_multiple_coils: True
      RawSerialPort:
        port: "/dev/wnc-freedom"
    drivers:
      ModbusCoilDriver: {}
      DigitalOutputPowerDriver: {}
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        login_timeout: 75
        await_login_timeout: 16
        username: kingbanik
      UBootDriver:
        prompt: 'IPQ9574# '
        init_commands:
          - setenv serverip 10.0.0.1
          - setenv ipaddr 10.0.0.2
        boot_command: tftpboot prplos-ipq95xx-generic-prpl_freedom-initramfs-uImage.itb && aq_phy_reset && aq_load_fw 0x8 && bootm
        boot_command_delay: 3
      UBootStrategy: {}

  wnc-freedom-emmc:
    resources:
      ModbusTCPCoil:
        host: quido.testbed-02.vpn.true.cz
        coil: 1
        managed_coils: 8
        exclusive_coil_mode: True
        write_multiple_coils: True
      RawSerialPort:
        port: "/dev/wnc-freedom"
    drivers:
      ModbusCoilDriver: {}
      DigitalOutputPowerDriver: {}
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        login_timeout: 75
        await_login_timeout: 16
        username: kingbanik
      UBootDriver:
        prompt: 'IPQ9574# '
        init_commands:
          - setenv serverip 10.0.0.1
          - setenv ipaddr 10.0.0.2
          - sleep 5
          - tftpboot 0x44000000 prplos-ipq95xx-generic-prpl_freedom-squashfs-sysupgrade.bin
          - aq_phy_reset
          - aq_load_fw 0x8
          - setenv untar_addr_kernel; setenv untar_addr_root; echo
          - untar 0x$fileaddr 0x$filesize kernel root
          - if test -n $untar_addr_kernel; then flash "0:HLOS" 0x$untar_addr_kernel 0x$untar_size_kernel; else echo "kernel is not found"; fi
          - if test -n $untar_addr_root; then flash "rootfs" 0x$untar_addr_root 0x$untar_size_root; else echo "rootfs is not found"; fi
      UBootStrategy: {}

  mxl25641-hdk-6-emmc:
    resources:
      ModbusTCPCoil:
        host: quido.testbed-02.vpn.true.cz
        coil: 0
        managed_coils: 8
        write_multiple_coils: True
        exclusive_coil_mode: True
      RawSerialPort:
        port: "/dev/mxl25641-hdk-6"
    drivers:
      ModbusCoilDriver: {}
      DigitalOutputPowerDriver: {}
      SerialDriver:
        txdelay: 0.01
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        username: kingbanik
      UBootDriver:
        prompt: 'Lightning #'
        console_decodeerrors: 'backslashreplace'
        init_command_timeout: 90
        init_commands:
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
          - setenv fullimage prplos-intel_x86-lgm-PRPL_OSP_TB341_v2-osp_tb341_v2_wav700_eth_fullimage.img
          - mmc dev 0 && mmc erase ${overlay_container_a_block_start} ${overlay_container_a_block_size} && run update_fullimage
      UBootStrategy: {}
